<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.kuaishou.modules.batch.mapper.KuaiShouVideoGetMapper">
    <insert id="replaceBatch">
        replace into ctop_kuaishou_video_get(
        id,
        account_id,
        photo_id,
        width,
        height,
        url,
        cover_url,
        create_time,
        update_time,
        signature)
        values
        <foreach collection="videos" item="video" separator=",">
            (#{video.id},
            #{video.accountId},
            #{video.photoId},
            #{video.width},
            #{video.height},
            #{video.url},
            #{video.coverUrl},
            #{video.createTime},
            #{video.updateTime},
            #{video.signature})
        </foreach>
    </insert>
</mapper>
